package depart.commun.valeurs;

import ca.ntro.app.models.ModelValue;

public class ValeurA implements ModelValue {
	
	private String id;
	private String attrA;
	private int    attrB;

	public ValeurA(String id, String attrA, int attrB) {
		this.id = id;
		this.attrA = attrA;
		this.attrB = attrB;
	}

	@Override
	public String toString() {
		return "[" + attrA + ", " + String.format("%02d", attrB) + "]@" + id;
	}

	public boolean methodeC(String id) {
		return this.id.equals(id);
	}

}
